package option_either;

import option_either.example.suche.instance_of.InstanceOfSucheResultTest;
import option_either.example.suche.visitor.VisitorSucheResultTest;
import option_either.generator.example.constructor_switch.ExampleEitherWithConstructorTest;
import option_either.generator.example.execute_method_switch.ExampleEitherWithExecuteMethodTest;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

/**
 * Test-Suite fr die Anwendung des 
 * Scala-Option-Either-Stils in Java.
 * 
 * @author Heiner K&uuml;cker
 */
@RunWith( Suite.class )
@SuiteClasses( {
    InstanceOfSucheResultTest.class ,
    VisitorSucheResultTest.class ,
    ExampleEitherWithConstructorTest.class ,
    ExampleEitherWithExecuteMethodTest.class
} )
public class EitherTestSuite
{
    // no implementation
}
