package option_either.generator.definition.clazz;

/**
 * Typ-Variable, nicht gebunden.
 * 
 * <pre>
 * &lt;MyName&gt;
 * <pre>
 * 
 * @author Heiner K&uuml;cker
 */
public final class TypeVariable
extends AbstractTypeVariable
{
    /**
     * Konstruktor.
     * 
     * @param description Kommentar/Erluterung der Typ-Variable
     * @param name Name
     */
    public TypeVariable(
            final String description ,
            final String name )
    {
        super(
                description ,
                name );
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString()
    {
        return this.name;
    }

}
