package option_either.generator.definition.clazz;

/**
 * Typ-Argument all-Wildcard.
 * 
 * <pre>
 * &lt;?&gt;
 * <pre>
 * 
 * @author Heiner K&uuml;cker
 */
public final class WildcardTypeArgument
extends AbstractTypeArgument
{
    /**
     * Singleton-Instanz.
     */
    public static final WildcardTypeArgument instance =
            new WildcardTypeArgument();

    /**
     * Konstruktor private
     * fr Singleton.
     */
    private WildcardTypeArgument()
    {
        super();
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString()
    {
        return "?";
    }

}
